// 좋아요 가져오기
function getLike() {
    
    const url = "https://vchatcloud.com/api/openapi/getLike";
    let param = {
        "room_id": channel.roomId
    };
     
    $.post(url, param, function(data) {
        if (data.result_cd == 1) {
            $('#likeCounter').html(data.like_cnt);
        } else {
            console.log("조회 실패")
        }
    }, "json");

}

let like_interval;

// 좋아요 동기화
function likeInif() {
    
    // 좋아요를 초기 1회 가져온다
    getLike();
    // 5분마다 좋아요 수를 가져온다
    like_interval = setInterval(getLike, 5 * 60 * 1000);

    // 좋아요 버튼 누르면 카운트 +1
    $('#sendLike').click(function(e) {
        const url = "https://vchatcloud.com/api/openapi/like";
        let param = {
            "room_id": channel.roomId,
            "log_cnt": 1
        };
        // 통신결과 성공하면 데이터 가져오기, 실패하면 조회실패
        $.post(url, param, function(data) {
            if (data.result_cd == 1) {
                $('#likeCounter').html(data.like_cnt);
            } else {
                console.log("조회 실패")
            }
        }, "json");
    })

}

// 좋아요 동기화 끊기
function likeEnd() {

    clearInterval(like_interval)

}